Name:           perl-Tangerine
Version:        0.10
Release:        1%{?dist}
Summary:        Analyse perl files and report module-related information
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Tangerine/
Source0:        http://www.cpan.org/authors/id/C/CO/CONTYK/Tangerine-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Find::Rule::Perl)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Mo)
BuildRequires:  perl(Mo::default)
BuildRequires:  perl(PPI)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Script)
BuildRequires:  perl(utf8)
BuildRequires:  perl(version) >= 0.77
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Mo::default)

%description
Tangerine statically analyses perl files and reports various information
about provided, used (compile-time dependencies) and required (runtime
dependencies) modules.

%prep
%setup -q -n Tangerine-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes CONTRIBUTING LICENSE README TODO
%{_bindir}/tangerine
%{perl_vendorlib}/*
%{_mandir}/man*/*

%changelog
* Thu Oct 16 2014 Petr Šabata <contyk@redhat.com> - 0.10-1
- 0.10 bump

* Wed Oct 08 2014 Petr Šabata <contyk@redhat.com> - 0.06-1
- 0.06 bump, test suite enhancements

* Tue Sep 30 2014 Petr Šabata <contyk@redhat.com> - 0.05-1
- 0.05 bump

* Mon Sep 08 2014 Petr Šabata <contyk@redhat.com> - 0.03-1
- 0.03 bump
- Install the tangerine script

* Sun Sep 07 2014 Petr Šabata <contyk@redhat.com> 0.02-1
- Initial package
